<?

if (!$user) {
	Redirection('/user/');
}
$PageConfig = [
	'title' => 'Изменение пароля',
];
PageConfig($PageConfig);

if (isset($_POST['save'])) {
	$cc = $sql->rowCount("SELECT * FROM `users` where `password` = '" . shif($_POST['pass']) . "' AND `id` = {$user['id']} LIMIT 1;");
    if (isset($_POST['pass']) && $cc == 1) {
        if (isset($_POST['pass1']) && isset($_POST['pass2'])) {
            if ($_POST['pass1'] == $_POST['pass2']) {
                if (FileSystem::TextStrlen($_POST['pass1']) < 6) {
					$err[] = 'По соображениям безопасности новый пароль не может быть короче 6-ти символов';
				}
                if (FileSystem::TextStrlen($_POST['pass1']) > 32) {
					$err[] = 'Длина пароля превышает 32 символа';
				}
            } else $err[] = 'Новый пароль не совпадает с подтверждением';
        } else $err[] = 'Введите новый пароль';
    } else $err[] = 'Старый пароль неверен';
	$cp = $sql->rowCount("SELECT * FROM `users_password` WHERE `id_user` = '{$user['id']}' AND `pass` = '" . shif($_POST['pass1']) . "'");
	if ($cp != 0) {
		$err[] = 'Вы уже использовали этот пароль';
	}
	$file_default = file_get_contents(H.'core/config/if_password.txt');
	if (stripos($file_default, $_POST['pass1']) !== false || $_POST['pass1'] == $user['login'] || is_numeric($_POST['pass1'])) {
		$err[] = 'Пароль слишком простой';
	}
	
    if (!isset($err)) {
		$sql->query("INSERT INTO `users_password` (`id_user`, `pass`, `date_create`) values ('{$user['id']}', '" . shif($_POST['pass1']) . "', '". time() ."')");
        $sql->query("UPDATE `users` SET `password` = '" . shif($_POST['pass1']) . "' WHERE `id` = '{$user['id']}' LIMIT 1;");
		cookie('user_pass', shif($_POST['pass1']), $set['user_cookie']);	
		CacheDelete::user($user['id']);
		Redirection('?','Пароль успешно изменен');
    }
}
if (isset($err)) {
	err($err);
}
echo $t->fetch('user.password');